Last Comment Bug 663746 - Change Scratchpad shortcut key to something other than F4
: Change Scratchpad shortcut key to something other than F4
Status: VERIFIED FIXED
[scratchpad][ux-needed]
: uiwanted
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 6
Assigned To: Rob Campbell [:rc] (:robcee)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-12 21:58 PDT by Dave Garrett
Modified: 2011-07-06 02:11 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments
scratch-n-shift (1.64 KB, patch)
2011-06-23 10:55 PDT, Rob Campbell [:rc] (:robcee)
dao+bmo: review+
gavin.sharp: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Dave Garrett 2011-06-12 21:58:12 PDT
I'm using current Aurora 6.0a2 and have accidentally opened the new Scratchpad by bumping the F4 button multiple times already, and I'm not the only one. See bug 657303 for a request to at least make this easier to close by using Esc or F4 again. Closing with Esc is all well and good, but I think moving the shortcut key to something else would be a good idea.

There are very few F-keys that have standard functions across multiple applications and platforms: F1 is usually help (Firefox dropped this a while ago), F3 is usually find next, and F5 is refresh. My newer laptop has tiny close together F-keys and I barely even have a gap between F4 & F5. The general trend in many cases is to treat them as an afterthought and just cram them in there. I rather exclusively use F5 to refresh and quite often use F3 when searching text. The new Scratchpad shortcut of F4 is right in the middle where it's in the worse possible place for accidental hits. Additionally, I wouldn't be surprised if someone out there accidentally held ctrl or alt when pressing this shortcut and closed the tab or window as a result. I know picking keyboard shortcuts is always a mess, but I'm sorry to say that in my opinion this is a really problematic choice.

No other dev tool has been granted the priority to get its own F-key and honestly I would've given the new console one rather than the Scratchpad (though quite nifty it is). F7, F8, & F9 are all much better places if you want to stick this and/or other dev tool up here (assuming one of those isn't taken by something else on some platform). I think the best practice is to avoid putting anything next to any other F-key that will get high traffic.
Comment 1 Rob Campbell [:rc] (:robcee) 2011-06-20 11:52:31 PDT
We'll try to get some UX feedback on this to come up with a better shortcut key. They're in very short supply, however and may of the available keys don't localize well.

Not sure about Linux, but OS X tends to use F8-12 for Spaces and various Expose functions. Placing it on F7 might catch Mac users with small F keys opening the Scratchpad when activating Spaces all the time.

Isn't every key close to Some Other Key that does something? Not trying to be argumentative, but if the Scratchpad is a constant sore spot for you, you can disable it altogether with:

devtools.scratchpad.enabled = false in about:config.
Comment 2 Dave Garrett 2011-06-20 12:17:42 PDT
(In reply to comment #1)
Yeah, I know it's always a headache to find one shortcut key that "works" for everyone.

> Isn't every key close to Some Other Key that does something?

To some degree, yes, but this one is odd in that it has no modifier and is near shortcuts that are both high-traffic, cross-application and cross-platform.

The Error Console is ctrl+shift+J and the Web Console is ctrl+shift+K, but I don't see ctrl+shift+L in use (correct me if I'm wrong). If this is available, it would make the most sense given this area already being used for dev tool shortcuts.
Comment 3 Rob Campbell [:rc] (:robcee) 2011-06-21 10:19:53 PDT
On mac, Cmd+Shift+L is a global Services shortcut to open the selected text in Safari.

I'm nominating this bug to track Firefox 6. We need to get this nailed down so we're not annoying users.
Comment 4 christian 2011-06-21 14:56:01 PDT
We'll track this for 6 based on comment 3 (this is a new feature in 6)
Comment 5 Dão Gottwald [:dao] 2011-06-22 03:21:37 PDT
Shift+F4?
Comment 6 Rob Campbell [:rc] (:robcee) 2011-06-22 07:39:40 PDT
(In reply to comment #5)
> Shift+F4?

wfm!
Comment 7 Rob Campbell [:rc] (:robcee) 2011-06-23 10:55:31 PDT
Created attachment 541432 [details] [diff] [review]
scratch-n-shift

added shift modifier to scratchpad key
Comment 9 George Carstoiu 2011-06-29 06:01:17 PDT
Mozilla/5.0 (X11; Linux i686; rv:7.0a1) Gecko/20110629 Firefox/7.0a1

Verified issue on Ubuntu 11.04, Mac OS X 10.6, Win7, WinXP - new shortcut is SHIFT+F4.

One problem may be that the shortcut is not displayed in the Developer Menu on the Mac OS 10.6. 

I don't think that was the intended behavior.
Comment 10 Simona B [:simonab] 2011-07-05 00:15:25 PDT
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:7.0a1) Gecko/20110704 Firefox/7.0a1

There is no keyboard shortcut for Scratchpad on MacOS X 10.6. Is that intended?
Comment 11 Simona B [:simonab] 2011-07-06 02:11:14 PDT
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:7.0a1) Gecko/20110705 Firefox/7.0a1

Filled Bug 669572 for the missing shortcut key near the Scratchpad item in the Web Developer menu.

Setting the resolution of this issue to VERIFIED FIXED.

Note You need to log in before you can comment on or make changes to this bug.